<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/p5.js/1.9.1/p5.js"></script>    
    <title>Document</title>
  </head>
  <body>
    <h1>Data Selfie App</h1>
    <div><a href="/">enter</a> | <a href="/all.html">list</a></div>

    <p>
        latitude: <span id="latitude"></span>&deg;<br />
        longitude: <span id="longitude">&deg;</span>             
    </p>
    <input id="mood" value="lake" />
    
    <button id="submit">submit</button>

    <script>
        function setup() {
            noCanvas();
            const video = createCapture(VIDEO);
            video.size(320, 240);

            let lat, lon;
            const button = document.getElementById("submit");
            button.addEventListener("click", async (event) => {
                const mood = document.getElementById('mood').value;
                video.loadPixels();
                const image64 = video.canvas.toDataURL();
                const data = { lat, lon, mood,image64 };
                const options = {
                    method: "POST",
                    headers: {
                        "Content-Type": "application/json",
                    },
                    body: JSON.stringify(data),
                };
                const response = await fetch("/api", options);
                const json = await response.json();
                console.log(json);
            });

            if ("geolocation" in navigator) {
                console.log('geolocation available');
                navigator.geolocation.getCurrentPosition(async position => {
                    lat = position.coords.latitude;
                    lon = position.coords.longitude;
                    console.log(lat,lon);
                    document.getElementById('latitude').textContent = lat;
                    document.getElementById('longitude').textContent = lon;
                });
            } else {
                console.log('geolocation not available');
            }
        }
    </script>
  </body>
</html>

